Subject: Re: linux-next: mfd tree build failure

From: Mark Brown <[email-masked]>
Date: Tue, 24 Nov 2009 10:40:57 +0000

On Tue, Nov 24, 2009 at 09:14:33PM +1100, Stephen Rothwell wrote:

> Sorry, I don't have the actual config (as I overwrite my build directory
> between each merge).  However, if I checkout the mfd tree (alone -
> nothing else in linux-next) and do "make ARCH=x86_64 allmodconfig", I get
> the following in my .config:

> CONFIG_I2C=m
> CONFIG_MFD_CORE=m
> CONFIG_MFD_WM831X=y

Oh, fail.  This is nothing to do with select, it's to do with bool.
Kbuild doesn't propagate the dependency from the boolean (which makes
sense for a lot of uses but not for this one).  The current "fix" used
by other drivers in the same situation is to depend on I2C=y which works
but means that we loose build coverage from allmodconfig.  I'll post a
patch for this shortly.